Description

Following the instructions on creating your own Data Types I encountered the following error while trying to build RST according to the
given instructions
http://docs.cor-lab.de//rst-manual/0.9/html/install.html#installation-from-source

$ cd rst/rst-proto # after "git clone" command
$ mkdir -p build && cd build
$ cmake -DCMAKE_BUILD_TYPE=debug -DCMAKE_INSTALL_PREFIX=PREFIX ..

It starts configuring .. then
causes an error:.. could not find BoostUUID

I installed RSX using the prebuild windows zip package therefore the systemvariables are not set! A hint at this place as to what
variables should be what would be helpfull.

History
#1 - 12/20/2013 10:27 AM - J. Moringen
- Subject changed from RST build under windows -- could not find BoostUUID to RST fails to build on Windows -- could not find BoostUUID
- Target version set to rsb-0.9

#2 - 12/20/2013 10:47 AM - J. Wienke

As Windows does not have the convention of a single install prefix, basically all find macros for CMake need to be informed where the packages can
be found. In the case of boost you probably need to specify -DBOOST_ROOT=your/archive/boost. Can you please try this? This probably needs to be
repeated for other dependencies as indicated in the cmake error output.

#3 - 12/20/2013 10:47 AM - J. Wienke
- Description updated

#4 - 01/29/2014 07:41 PM - J. Moringen
- Status changed from New to Feedback

@Christoph: did you manage to try Johannes' suggestion in the meantime?

#5 - 01/30/2014 08:27 AM - C. Dreyer
http://docs.cor-lab.de//rst-manual/0.9/html/install.html#installation-from-source


Yes! The Problem was cmake=Visual Studio related and the error was on my side.

#6 - 02/06/2014 06:08 PM - J. Moringen
- Status changed from Feedback to Closed
